apiVersion: cdi.kubevirt.io/v1beta1
kind: DataVolume
metadata:
  annotations:
    cdi.kubevirt.io/allowClaimAdoption: "true"
    cdi.kubevirt.io/storage.prePopulated: restore-c4b40dee-1de2-417c-af84-4446cb196954-dv-disk
    cdi.kubevirt.io/storage.usePopulator: "true"
    restore.kubevirt.io/name: restore-snapshot-vm-snapshot-upgrade-a-1761741897-5416875
  creationTimestamp: "2025-10-29T12:48:27Z"
  generation: 1
  name: restore-c4b40dee-1de2-417c-af84-4446cb196954-dv-disk
  namespace: test-upgrade-namespace
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachine
    name: vm-snapshot-upgrade-a-1761741897-5416875
    uid: bd518a58-34f3-4128-84ed-f207d84a6eb9
  resourceVersion: "2196716"
  uid: ec8d45dd-8297-48f9-aca0-be6790e4c55a
spec:
  contentType: kubevirt
  source:
    http:
      certConfigMap: artifactory-configmap
      secretRef: cnv-tests-artifactory-secret
      url: https://cnv-qe-artifactory.apps.cnv2.engineering.redhat.com/artifactory/cnv-qe-server-local/cnv-tests/cirros-images/cirros-0.4.0-x86_64-disk.qcow2
  storage:
    resources:
      requests:
        storage: 1Gi
    storageClassName: ocs-storagecluster-ceph-rbd-virtualization
status:
  claimName: restore-c4b40dee-1de2-417c-af84-4446cb196954-dv-disk
  conditions:
  - lastHeartbeatTime: "2025-10-29T12:48:27Z"
    lastTransitionTime: "2025-10-29T12:48:27Z"
    message: PVC restore-c4b40dee-1de2-417c-af84-4446cb196954-dv-disk Bound
    reason: Bound
    status: "True"
    type: Bound
  - lastHeartbeatTime: "2025-10-29T12:48:27Z"
    lastTransitionTime: "2025-10-29T12:48:27Z"
    status: "True"
    type: Ready
  - lastHeartbeatTime: "2025-10-29T12:48:27Z"
    lastTransitionTime: "2025-10-29T12:48:27Z"
    status: "False"
    type: Running
  phase: Succeeded
  progress: N/A
